Last Comment Bug 310774 - Unable to select most menu items using keyboard when error page is shown.
: Unable to select most menu items using keyboard when error page is shown.
Status: VERIFIED FIXED
: access, fixed1.8, regression
Product: Core
Classification: Components
Component: Document Navigation (show other bugs)
: Trunk
: All All
: -- major (vote)
: ---
Assigned To: Jesse Ruderman
: Adam Lock
Mentors:
http://www.mozilla.org:25/
Depends on:
Blocks: 301471
  Show dependency treegraph
 
Reported: 2005-10-02 04:32 PDT by Steve H
Modified: 2006-03-12 18:57 PST (History)
9 users (show)
asa: blocking1.8b5+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
backout patch (trunk) (1.35 KB, patch)
2005-10-03 12:07 PDT, Jesse Ruderman
no flags Details | Diff | Splinter Review

Description Steve H 2005-10-02 04:32:11 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4

My home page is only available when attached to the corporate LAN. When I start
Firefox attached to my home LAN I get "The Connection has time out" page with
the "Try again" button.

Trying to select any bookmark via the keyboard (ALT-B, down arrow several times,
then pressing enter) with the timeout page present, appears to try the timed out
page again.  However, selecting any bookmark via the mouse works OK.

Reproducible: Always

Steps to Reproduce:
1. set home page to a url that will timeout.
2. completely close firefix.
3. open firefix and eait for connection has timed out page to appear.
4. press alt-b, then page down to a bookmark and hit enter
5. the connection has timed out page will remain.

Actual Results:  
the "connection has timed out" page remained on the screen.

Expected Results:  
firfox should have selected the bookmark that was highlighted when the enter key
was pressed.
Comment 1 Peter van der Woude [:Peter6] 2005-10-02 07:35:57 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8b5) Gecko/20051002
Firefox/1.4.1 ID:2005100204

Confirmed

easy repro:
1. type a non existing url in the locationbar , hit enter and waitfor the
"server not found" message.
2. hit alt-b ,select a bookmark and press enter
3. the page reloads the old url

Comment 3 Henrik Skupin (:whimboo) 2005-10-02 09:20:59 PDT
It's also happen with Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1)
Gecko/20051001 Firefox/1.6a1
Comment 4 Boris Zbarsky [:bz] 2005-10-02 09:46:20 PDT
This has nothing to do with bug 305041 as can be checked by local backout.  That
said, the regression range in comment 2 just generally looks wrong to me -- the
one I see is 2005-08-20-06 to 2005-08-21-07.  And the checkin for bug 301471 in
that range is what causes this bug (tested via backout).  I have no idea why
we're triggering that button when we hit enter on a menu item; aaron, bryner,
mats, that sounds like your sort of thing.
Comment 5 Boris Zbarsky [:bz] 2005-10-02 09:47:38 PDT
I suggest bug 301471 be backed out if we can't find a fix for this in a timely
manner (like today)...
Comment 6 Peter van der Woude [:Peter6] 2005-10-02 12:08:06 PDT
(In reply to comment #5)
> I suggest bug 301471 be backed out if we can't find a fix for this in a timely
> manner (like today)...

backing out bug 301471 indeed fixes it (just tried it out on the latest build)

Comment 7 Asa Dotzler [:asa] 2005-10-02 12:39:53 PDT
Jesse, this looks like you. Time is short and we need either a fix or a backout
patch ASAP.
Comment 8 Jesse Ruderman 2005-10-02 21:01:11 PDT
I doubt that a fix for an underlying focus problem would be safe enough for the
branch at this point.  I won't be able to try to create a workaround (in
netError.xhtml) until tomorrow.  bz, feel free to back out the patch for 
bug 301471 if you feel this regression is worse than not focusing the button
automatically.

Does this affect all menu items? All menu items without accesskeys (e.g. also
the Go menu)?  Only bookmarks?
Comment 9 Henrik Skupin (:whimboo) 2005-10-03 03:22:44 PDT
(In reply to comment #8)
> Does this affect all menu items? All menu items without accesskeys (e.g. also
> the Go menu)?  Only bookmarks?

Yes, at least the most menu items are affected. A lot of them don't work when
the try again button has focus. The menu items Go|Home and Go|Back also don't
work and they have accesskeys.
Comment 10 Boris Zbarsky [:bz] 2005-10-03 08:18:35 PDT
Jesse, I'm probably not going to be in a position to check anything in before
the freeze, so if you could back out bug 301471 or find someone on IRC who can
do it, that would be appreciated.  The way I see it, for mouse users it doesn't
matter which way we go, and for keyboard users it's having to tab one extra time
to reload on the one hand and pretty unusable menus on the other.  Given that
choice, I think hitting tab an extra time is preferable...
Comment 11 Asa Dotzler [:asa] 2005-10-03 11:06:18 PDT
We need this backout today. Who can help?
Comment 12 Jesse Ruderman 2005-10-03 11:57:30 PDT
I'll back it out.
Comment 13 Jesse Ruderman 2005-10-03 12:07:41 PDT
Created attachment 198335 [details] [diff] [review]
backout patch (trunk)

Assuming I don't need reviews for a simple backout.  I will check this in
(trunk and branch) when the trees are green.
Comment 14 :Gavin Sharp [email: gavin@gavinsharp.com] 2005-10-03 12:19:02 PDT
Shouldn't this only be backed out on the branch, and left on the trunk so that
the actual bug can be fixed?
Comment 15 Boris Zbarsky [:bz] 2005-10-03 12:24:20 PDT
I'd file a separate bug on the focus issue, blocking (reopened) bug 301471
Comment 16 Jesse Ruderman 2005-10-03 12:36:40 PDT
Fix for bug 301471 backed out, trunk and branch.  I will reopen bug 301471 and
file a bug on the underlying focus bug once I figure out what that bug is.
Comment 17 Boris Zbarsky [:bz] 2005-10-03 12:41:44 PDT
The bug there is that if the button has focus hitting enter triggers it, even if
you hit enter on a menu....
Comment 18 Henrik Skupin (:whimboo) 2005-10-03 14:38:57 PDT
Works fine now. Thanks.

Note You need to log in before you can comment on or make changes to this bug.